Package com.independentsoft.office.odf.forms

# Enum Class CommandType

java.lang.Object
java.lang.Enum<CommandType>
com.independentsoft.office.odf.forms.CommandType

All Implemented Interfaces:
  `Serializable`, `Comparable<CommandType>`, `Constable`

public enum CommandType extends Enum<CommandType>
Represents the type of command to execute on a data source.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COMMAND`
  The command contains an SQL statement.
  `NONE`
  None
  `QUERY`
  The command contains the name of query.
  `TABLE`
  The command contains a table name.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CommandType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static CommandType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TABLE

    public static final CommandType TABLE
    The command contains a table name. The form retrieves all of the data in the table.

  - ### QUERY

    public static final CommandType QUERY
    The command contains the name of query. The form retrieves and executes the query.

  - ### COMMAND

    public static final CommandType COMMAND
    The command contains an SQL statement. The form executes the SQL statement.

  - ### NONE

    public static final CommandType NONE
    None

- ## Method Details

  - ### values

    public static CommandType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CommandType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null